<?

# COPYRIGHT:
#  
# This software is Copyright (c) 2007 NETWAYS GmbH, Christian Doebler 
#                                <support@netways.de>
# 
# (Except where explicitly superseded by other copyright notices)
# 
# 
# LICENSE:
# 
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from http://www.fsf.org.
# 
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 or visit their web page on the internet at
# http://www.fsf.org.
# 
# 
# CONTRIBUTION SUBMISSION POLICY:
# 
# (The following paragraph is not intended to limit the rights granted
# to you to modify and distribute this software under the terms of
# the GNU General Public License and is only of importance to you if
# you choose to contribute your changes and enhancements to the
# community by submitting them to NETWAYS GmbH.)
# 
# By intentionally submitting any modifications, corrections or
# derivatives to this work, or any other work intended for use with
# this Software, to NETWAYS GmbH, you confirm that
# you are the copyright holder for those contributions and you grant
# NETWAYS GmbH a nonexclusive, worldwide, irrevocable,
# royalty-free, perpetual, license to use, copy, create derivative
# works based on those contributions, and sublicense and distribute
# those contributions and any derivatives thereof.
#
# Nagios and the Nagios logo are registered trademarks of Ethan Galstad.


/**
 * getContent - main function for this module
 *
 * @param		none
 * @return		HTML content
 */
function getContent () {

	global $stati, $authentication_type, $message;


	$templateContent = new nwTemplate(TEMPLATE_OVERVIEW);

	// assign messages
	if (!empty($message)) $templateContent->assign('MESSAGE', $message);

	// BEGIN - assign static
	if ($authentication_type && $authentication_type != 'http' && !empty($_SESSION['user'])) {
		$logout_link = htmlA('index.php?action=logout', OVERVIEW_LOGOUT, 'class="textLink"') . '&nbsp;|&nbsp;';
		$templateContent->assign('OVERVIEW_LOGOUT', $logout_link);
	}
	$templateContent->assign('OVERVIEW_ADD_NEW_NOTIFICATION', OVERVIEW_ADD_NEW_NOTIFICATION);
	$templateContent->assign('OVERVIEW_HEADING_ACTIONS', OVERVIEW_HEADING_ACTIONS);
	$templateContent->assign('OVERVIEW_HEADING_HOSTS', OVERVIEW_HEADING_HOSTS);
	$templateContent->assign('OVERVIEW_HEADING_SERVICES', OVERVIEW_HEADING_SERVICES);
	$templateContent->assign('OVERVIEW_HEADING_OWNER', OVERVIEW_HEADING_OWNER);
	$templateContent->assign('OVERVIEW_HEADING_TIMEZONE', OVERVIEW_HEADING_TIMEZONE);
	$templateContent->assign('OVERVIEW_HEADING_NOTIFY_ON', OVERVIEW_HEADING_NOTIFY_ON);
	$templateContent->assign('OVERVIEW_HEADING_NOTIFY_BY', OVERVIEW_HEADING_NOTIFY_BY);
	$templateContent->assign('OVERVIEW_HEADING_NOTIFY_USERS', OVERVIEW_HEADING_NOTIFY_USERS);
	$templateContent->assign('OVERVIEW_LONG_INCLUDE_HEADING', OVERVIEW_LONG_INCLUDE_HEADING);
	$templateContent->assign('OVERVIEW_LONG_EXCLUDE_HEADING', OVERVIEW_LONG_EXCLUDE_HEADING);
	// END - assign static

	// check whether user is admin
	$admin = false;
	if (!empty($_SESSION['user']) || !$authentication_type) {
		if (!empty($_SESSION['user'])) {
			$user = prepareDBValue($_SESSION['user']);
			$dbData = queryDB('select admin from contacts where username=\'' . $user . '\'');
			if ($dbData[0]['admin'] == '1') $admin = true;
		} else {
			$admin = true;
		}
	}


	// contacts link
	$templateContent->assign(
		'OVERVIEW_CONTACTS_LINK',
		($admin) ? OVERVIEW_MANAGE_CONTACTS : OVERVIEW_EDIT_USER_PROFILE
	);

	// admin links
	if ($admin) {
		$templateContent->assign('ANCHOR_CONTACTGROUP_MANAGER', '&nbsp;|&nbsp;' . htmlA('index.php?action=contactgroups', OVERVIEW_MANAGE_CONTACTGROUPS, 'class="textLink"'));
		$templateContent->assign('ANCHOR_LOG_VIEWER', '&nbsp;|&nbsp;' . htmlA('index.php?action=logs', OVERVIEW_LOG_VIEWER, 'class="textLink"'));
	}


	$query = 'select distinct n.*,concat(c.first_name,\' \',c.last_name) full_name,tz.timezone from notifications n, contacts c, timezones tz
						where n.username=c.username and n.timezone_id=tz.id ';

	if (!empty($_SESSION['user']) && !$admin) $query .= 'and n.username=\'' . prepareDBValue($_SESSION['user']) . '\' ';

	$query .= 'order by n.username';

	$dbData = queryDB($query);

	$content = null;

	foreach ($dbData as $row) {

		$templateSubContent = new nwTemplate(TEMPLATE_OVERVIEW_ROW);

		$templateSubContent->assign('ID', $row['id']);

		if ($row['active'] == '1') {
			$templateSubContent->assign('OVERVIEW_TOGGLE_ACTIVE_IMAGE', 'images/deactivate.gif');
			$templateSubContent->assign('OVERVIEW_TOGGLE_ACTIVE_TOOLTIP', OVERVIEW_ACTIVE_TOOLTIP);
		} else {
			$templateSubContent->assign('OVERVIEW_TOGGLE_ACTIVE_IMAGE', 'images/activate.gif');
			$templateSubContent->assign('OVERVIEW_TOGGLE_ACTIVE_TOOLTIP', OVERVIEW_INACTIVE_TOOLTIP);
		}

		$templateSubContent->assign('OVERVIEW_TOGGLE_ACTIVE_ALT', OVERVIEW_TOGGLE_ACTIVE_ALT);
		$templateSubContent->assign('OVERVIEW_EDIT_ENTRY_ALT_TOOLTIP', OVERVIEW_EDIT_ENTRY_ALT_TOOLTIP);
		$templateSubContent->assign('OVERVIEW_DELETE_ENTRY_ALT_TOOLTIP', OVERVIEW_DELETE_ENTRY_ALT_TOOLTIP);

		$data = list($long, $value, $short) = shorten($row['hosts_include'] . ' | ' .$row['hosts_exclude'], 'overview_host');
		$templateSubContent->assign('HOSTS', $value);
		if ($short) {
			$templateSubContent->assign(
				'HOSTS_MOUSEOVER',
				' onmouseover="javascript:showLong(\'&lt;b&gt;+&lt;/b&gt;: ' . $row['hosts_include'] . '&lt;br/&gt;&lt;b&gt;-&lt;/b&gt;: ' . $row['hosts_exclude'] . '\');" onmouseout="javascript:hideLong();"'
			);
		}

		$data = list($long, $value, $short) = shorten($row['services_include'] . ' | ' . $row['services_exclude'], 'overview_service');
		$templateSubContent->assign('SERVICES' , $value);
		if ($short) {
			$templateSubContent->assign(
				'SERVICES_MOUSEOVER',
				' onmouseover="javascript:showLong(\'&lt;b&gt;+&lt;/b&gt;: ' . $row['services_include'] . '&lt;br/&gt;&lt;b&gt;-&lt;/b&gt;: ' . $row['services_exclude'] . '\');" onmouseout="javascript:hideLong();"'
			);
		}

		$templateSubContent->assign('OWNER', $row['username']);
		$templateSubContent->assign('FULL_NAME', $row['full_name']);

		$templateSubContent->assign('TIME_ZONE', $row['timezone']);


		// BEGIN - notify on
		$statiField = null;
		$sep = null;
		foreach ($stati as $status => $str) {
			if ($row[$status] == '1') {
				$statiField .= $sep . $str;
				if (!$sep) $sep = '<br/>';
			}
		}
		$templateSubContent->assign('NOTIFY_ON', $statiField);
		// END   - notify on


		// BEGIN - notify by
		$query = 'select distinct m.method from notification_methods m
					left join notifications_to_methods nm on m.id=nm.method_id
					where nm.notification_id=\'' . prepareDBValue($row['id']) . '\'';
		$notify = null;
		foreach (queryDB($query) as $subRow) {
			$notify[] = $subRow['method'];
		}
		$templateSubContent->assign('NOTIFY_BY', implode('<br/>', $notify));
		// END   - notify by


		// BEGIN - NOTIFY PERSONS AND GROUPS

		$rowID = prepareDBValue($row['id']);
		$notify = array();

		// BEGIN - notify users
		$query = 'select distinct c.username,concat(c.first_name, \' \', c.last_name) full_name from contacts c
					left join notifications_to_contacts nc on c.id=nc.contact_id
					where nc.notification_id=\'' . $rowID . '\'';
		foreach (queryDB($query) as $subRow) {
			$notify[] = '<span onmouseover="showLong(\'' . $subRow['full_name'] . '\')" onmouseout="hideLong()">' . $subRow['username'] . '</span>';
		}
		// END   - notify users


		// BEGIN - notify groups
		$query = 'select distinct cg.name_short, cg.name from contactgroups cg
					left join notifications_to_contactgroups ncg on cg.id=ncg.contactgroup_id
					where ncg.notification_id=\'' . $rowID . '\'
					order by cg.name_short';
		foreach (queryDB($query) as $subRow) {
			$notify[] = '<span onmouseover="showLong(\'' . $subRow['name'] . '\')" onmouseout="hideLong()" nowrap="nowrap">' . OVERVIEW_CONTACTGROUP_PREFIX . $subRow['name_short'] . '</span>';
		}
		// END   - notify groups		

		$templateSubContent->assign('NOTIFY_USERS_AND_GROUPS', implode('<br/>', $notify));

		// END   - NOTIFY PERSONS AND GROUPS


		$content .= $templateSubContent->getHTML();

	}

	$templateContent->assign('ROWS_CONTENT', $content);

	return $templateContent->getHTML();

}


?>